Bug 324921 - Latest hts running on RHEL5.1rc bits fails network test
Summary: Latest hts running on RHEL5.1rc bits fails network test
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
high
high
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Red Hat Hardware Certification
URL:
Whiteboard:
Keywords:
: 360221 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-09 14:28 UTC by Larry Troan
Modified: 2016-04-18 09:46 UTC (History)
4 users (show)

Fixed In Version: RHEL5.1-Server-20071017.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 09:13:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Larry Troan 2007-10-09 14:28:25 UTC
Description of problem:
Certification fails on both xen and non-xen kernels with RHEL5.1rc bits 

Version-Release number of selected component (if applicable):
RHEL5.1rc 
- kernel-PAE-2.6.18-52.el5
- kernel-xen-2.6.18-52.el5
- kernel-2.6.18-52.el5
hts-5.1-3.el5


How reproducible:
Always

Steps to Reproduce:
1. Install x86 kernel-xen-2.6.18-52.el5
2. Run latest hts network test
3. Fails because virtual network ports can not be ifdown'd
4. Switch to kernel-2.6.18-52.el5
5. Fails with peth0 remaining up.

Actual results:
network test always fails with either xen or non-xen kernel
therefore can't certify with latest hts

Expected results:
pass certification suite

Additional info:
Appears we can't certify any 5.1 systems using latest hts cert suite.
Needs to be fixed before 5.1 is available on RHN.

I can provide IP addresses and root password if needed.

Comment 1 Greg Nichols 2007-10-12 16:04:59 UTC
Fixed HTS 5.1 R4.

HTS will now ignore peth0 and other xen-related interfaces.

Comment 2 Larry Troan 2007-10-31 15:38:25 UTC
I tried hts-5.1-4.el5.noarch.rpm which Greg N. provided me against the latest
5.1 rc bits and the network test ran fine. Working on certifying a system with
it against the 5.1 GOLD bits.

Comment 3 Larry Troan 2007-10-31 15:41:52 UTC
*** Bug 360221 has been marked as a duplicate of this bug. ***

Comment 4 Yan Tian 2007-11-01 09:13:15 UTC
Couldn't be reproduced in hts-5.1-8.el5. So resolve it.


Note You need to log in before you can comment on or make changes to this bug.